Bug 206930 - science/afni: Update to 2015.11.13
Summary: science/afni: Update to 2015.11.13
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Raphael Kubo da Costa
URL:
Keywords: patch, patch-ready
Depends on:
Blocks:
 
Reported: 2016-02-04 20:07 UTC by Jason W. Bacon
Modified: 2016-02-27 22:04 UTC (History)
1 user (show)

See Also:


Attachments
Unified diff (87.04 KB, patch)
2016-02-04 20:07 UTC, Jason W. Bacon
jwb: maintainer-approval+
Details | Diff
Poudriere log (882.19 KB, text/plain)
2016-02-04 20:08 UTC, Jason W. Bacon
no flags Details
Poudriere log (818.88 KB, text/plain)
2016-02-04 20:09 UTC, Jason W. Bacon
no flags Details
Poudriere log, compressed (67.39 KB, application/x-xz)
2016-02-04 20:11 UTC, Jason W. Bacon
no flags Details
Poudriere log, compressed (70.64 KB, application/x-xz)
2016-02-04 20:12 UTC, Jason W. Bacon
no flags Details
Unified diff (85.52 KB, patch)
2016-02-26 18:19 UTC, Jason W. Bacon
jwb: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jason W. Bacon freebsd_committer 2016-02-04 20:07:37 UTC
Created attachment 166575 [details]
Unified diff

Upgrade to recent snapshot.

Remove dependency on GCC.
Comment 1 Jason W. Bacon freebsd_committer 2016-02-04 20:08:38 UTC
Created attachment 166576 [details]
Poudriere log
Comment 2 Jason W. Bacon freebsd_committer 2016-02-04 20:09:15 UTC
Created attachment 166577 [details]
Poudriere log
Comment 3 Jason W. Bacon freebsd_committer 2016-02-04 20:11:47 UTC
Created attachment 166578 [details]
Poudriere log, compressed
Comment 4 Jason W. Bacon freebsd_committer 2016-02-04 20:12:11 UTC
Created attachment 166579 [details]
Poudriere log, compressed
Comment 5 Raphael Kubo da Costa freebsd_committer 2016-02-26 14:50:33 UTC
The attached patch fails here:

===>  Applying FreeBSD patches for afni-2015.11.13
Ignoring previously applied (or reversed) patch.
1 out of 1 hunks ignored--saving rejects to 3DEdge/src/Makefile.rej
=> Patch patch-3DEdge_src_Makefile failed to apply cleanly.

While at it:
> +#${CP} -R ${PRESTAGE}/share/* ${STAGEDIR}${DATADIR}
This is probably stale, right?

Finally, isn't it possible to merge the post-build and do-install stages? I'm not asking you to do it in this patch, it's just not clear to me why there's a ${PRESTAGE} directory or why these things can't be done in the Makefile itself since you apparently wrote it.
Comment 6 Jason W. Bacon freebsd_committer 2016-02-26 18:19:12 UTC
Created attachment 167453 [details]
Unified diff


The 3DEdge patch was not supposed to be part of the port.  It was generated from a preexisting Makefile.orig by make makepatch just before I generated the diff.  I added a line to remove that Makefile.orig post-extract so this won't happen again.

Yes, the ${CP} was replaced by the ${COPYTREE_SHARE}.  Sorry for neglecting to remove the comment.

The prestage directory can probably be eliminated at this point.  This was my original solution to a problem where the AFNI core Makefile (Makefile.INCLUDE) shuffles things around after the build is finished, tripping up the ports Makefile targets and triggering rebuilds where they shouldn't be necessary.  I've been averse to messing with it because the build system is so squirrely and each build takes hours.  I added a FIXME comment to my wip version to address this with the next update.

Thanks!
Comment 7 commit-hook freebsd_committer 2016-02-27 22:03:41 UTC
A commit references this bug:

Author: rakuco
Date: Sat Feb 27 22:03:31 UTC 2016
New revision: 409693
URL: https://svnweb.freebsd.org/changeset/ports/409693

Log:
  Update to 2015.11.13.

  Upgrade to a more recent snapshot, and stop requiring GCC.

  PR:		206930
  Submitted by:	Jason Bacon <bacon4000@gmail.com> (maintainer)

Changes:
  head/science/afni/Makefile
  head/science/afni/distinfo
  head/science/afni/files/Makefile
  head/science/afni/files/Makefile.FreeBSD_PORT
  head/science/afni/files/patch-Makefile.INCLUDE
  head/science/afni/files/patch-XmHTML-Makefile
  head/science/afni/files/patch-misc_math.c
  head/science/afni/files/patch-netcdf-3.5.0_src_configure
  head/science/afni/files/patch-nifti_cifti_afni__xml.h
  head/science/afni/files/pkg-message.in
  head/science/afni/pkg-plist
Comment 8 Raphael Kubo da Costa freebsd_committer 2016-02-27 22:04:18 UTC
Finally landed, thanks for the patch!